Skip to main content
POST
Create document reference

Authorizations

Authorization
string
header
required

Service (M2M) access token issued by POST /auth/token using the client_credentials grant. Required scopes, where known, are listed on each operation below.

Body

application/json
status
enum<string>
required
Available options:
current,
superseded,
entered-in-error
content
object[]
required
Required array length: 1 - 20 elements
doc_status
enum<string>
Available options:
preliminary,
final,
amended,
entered-in-error
type
object
category
object[]
Maximum array length: 20
subject_id
string
Required string length: 1 - 64
date
string
Maximum string length: 64
Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?(Z|[+-]\d{2}:\d{2}))?$
authors
object[]
Maximum array length: 20
description
string | null
Maximum string length: 4000

Response

Created

data
object
required
request_id
string
required